local OresMoney = CreateFrame("Frame")
OresMoney:RegisterEvent("ITEM_PUSH")

Auctionator.API.InternalVerifyID("Hywolf")
-- HERBS
local prixRisingGlory, prixMarrowroot, prixVigilsTorch, prixWidowbloom, prixDeathBlossom, prixNightshade = 0
local prixTotalOr, prixTotalRisingGlory, prixTotalMarrowroot, prixTotalVigilsTorch, prixTotalWidowbloom, prixTotalDeathBlossom, prixTotalNightshade = 0
local countRisingGlory, countMarrowroot, countVigilsTorch, countWidowbloom, countDeathBlossom, countNightshade = 0
-- ORES
local prixLaestrite, prixOxxein, prixPhaedrum, prixSinvyr, prixSolenium, prixElethium = 0
local prixTotalOr, prixTotalLaestrite, prixTotalOxxein, prixTotalPhaedrum, prixTotalSinvyr, prixTotalSolenium, prixTotalElethium = 0
local countLaestrite, countOxxein, countPhaedrum, countSinvyr, countSolenium, countElethium = 0

local plusBank = false
local details = false
local prefix = "|cFF8075BA[Ohm]|r"

local UIOHMoney

-- Message d'accueil
print(prefix, "Type |cFF8075BA/ohm |rto show your ore/herb value")
print(prefix, "|cFFFF1111ores are coming soon...|r")


-- Arrondi
local function round(n)
    return math.floor(n + 0.5)
end

-- Calcul la valeur des minerais possédés
local function moneyCount()
    -- On compte les herbes et minerais
    countRisingGlory = GetItemCount(168586)
    countMarrowroot = GetItemCount(168589)
    countVigilsTorch = GetItemCount(170554)
    countWidowbloom = GetItemCount(168583)
    countDeathBlossom = GetItemCount(169701)
    countNightshade = GetItemCount(171315)

    countLaestrite = GetItemCount(171828)
    countOxxein = GetItemCount(171830)
    countPhaedrum = GetItemCount(171831)
    countSinvyr = GetItemCount(171832)
    countSolenium = GetItemCount(171829)
    countElethium = GetItemCount(171833)
    -- On récupère les prix unités depuis Auctionator
    prixRisingGlory = Auctionator.API.v1.GetAuctionPriceByItemID("Hywolf", 168586) / 10000
    prixMarrowroot = Auctionator.API.v1.GetAuctionPriceByItemID("Hywolf", 168589) / 10000
    prixVigilsTorch = Auctionator.API.v1.GetAuctionPriceByItemID("Hywolf", 170554) / 10000
    prixWidowbloom = Auctionator.API.v1.GetAuctionPriceByItemID("Hywolf", 168583) / 10000
    prixDeathBlossom = Auctionator.API.v1.GetAuctionPriceByItemID("Hywolf", 169701) / 10000
    prixNightshade = Auctionator.API.v1.GetAuctionPriceByItemID("Hywolf", 171315) / 10000

    prixLaestrite = Auctionator.API.v1.GetAuctionPriceByItemID("Hywolf", 171828) / 10000
    prixOxxein = Auctionator.API.v1.GetAuctionPriceByItemID("Hywolf", 171830) / 10000
    prixPhaedrum = Auctionator.API.v1.GetAuctionPriceByItemID("Hywolf", 171831) / 10000
    prixSinvyr = Auctionator.API.v1.GetAuctionPriceByItemID("Hywolf", 171832) / 10000
    prixSolenium = Auctionator.API.v1.GetAuctionPriceByItemID("Hywolf", 171829) / 10000
    prixElethium = Auctionator.API.v1.GetAuctionPriceByItemID("Hywolf", 171833) / 10000
    -- On calcul le prix de chaque lot de minerai
    prixTotalRisingGlory = countRisingGlory * prixRisingGlory
    prixTotalMarrowroot = countMarrowroot * prixMarrowroot
    prixTotalVigilsTorch = countVigilsTorch * prixVigilsTorch
    prixTotalWidowbloom = countWidowbloom * prixWidowbloom
    prixTotalDeathBlossom = countDeathBlossom * prixDeathBlossom
    prixTotalNightshade = countNightshade * prixNightshade
    
    prixTotalLaestrite = countLaestrite * prixLaestrite
    prixTotalOxxein = countOxxein * prixOxxein
    prixTotalPhaedrum = countPhaedrum * prixPhaedrum
    prixTotalSinvyr = countSinvyr * prixSinvyr
    prixTotalSolenium = countSolenium * prixSolenium
    prixTotalElethium = countElethium * prixElethium
    -- On calcul le prix total
    local prixTotal = prixTotalRisingGlory + prixTotalMarrowroot + prixTotalVigilsTorch + prixTotalWidowbloom + prixTotalDeathBlossom + prixTotalNightshade + prixTotalLaestrite + prixTotalOxxein + prixTotalPhaedrum + prixTotalSinvyr + prixTotalSolenium + prixTotalElethium
    prixTotalOr = round(prixTotal)
    -- On affiche le prix dans le tchat
    -- print(prefix, "Ore/herb value: |cFFF0CB1E", GetCoinTextureString(prixTotalOr*10000))
end

local function refreshOHMoney()
    moneyCount()
    -- Si UI ouvert
    if UIOHMoney ~= nil then
        -- SI DETAILS, colonne 2 = Quantityn sinon = Total price
        if details then
            UIOHMoney:SetSize(450, 300);
        else
            UIOHMoney:SetSize(250, 300);
        end
        
        if details then
            UIOHMoney.panelTwo:SetText('<html><body>'..
            '<p>|cFF8075BAQuantity|r</p>'..
            '<p><br /></p>'..
            '<p>'..countRisingGlory..'</p>'..
            '<p>'..countMarrowroot..'</p>'..
            '<p>'..countVigilsTorch..'</p>'..
            '<p>'..countWidowbloom..'</p>'..
            '<p>'..countDeathBlossom..'</p>'..
            '<p>'..countNightshade..'</p>'..
            '<p><br /></p>'..
            '<p>'..countLaestrite..'</p>'..
            '<p>'..countOxxein..'</p>'..
            '<p>'..countPhaedrum..'</p>'..
            '<p>'..countSinvyr..'</p>'..
            '<p>'..countSolenium..'</p>'..
            '<p>'..countElethium..'</p>'..
            '</body></html>');
        else
            UIOHMoney.panelTwo:SetText('<html><body>'..
            '<p>|cFF8075BATotal price|r</p>'..
            '<p><br /></p>'..
            '<p>'..GetCoinTextureString(prixTotalRisingGlory*10000, 10)..'</p>'..
            '<p>'..GetCoinTextureString(prixTotalMarrowroot*10000, 10)..'</p>'..
            '<p>'..GetCoinTextureString(prixTotalVigilsTorch*10000, 10)..'</p>'..
            '<p>'..GetCoinTextureString(prixTotalWidowbloom*10000, 10)..'</p>'..
            '<p>'..GetCoinTextureString(prixTotalDeathBlossom*10000, 10)..'</p>'..
            '<p>'..GetCoinTextureString(prixTotalNightshade*10000, 10)..'</p>'..
            '<p><br /></p>'..
            '<p>'..GetCoinTextureString(prixTotalLaestrite*10000, 10)..'</p>'..
            '<p>'..GetCoinTextureString(prixTotalOxxein*10000, 10)..'</p>'..
            '<p>'..GetCoinTextureString(prixTotalPhaedrum*10000, 10)..'</p>'..
            '<p>'..GetCoinTextureString(prixTotalSinvyr*10000, 10)..'</p>'..
            '<p>'..GetCoinTextureString(prixTotalSolenium*10000, 10)..'</p>'..
            '<p>'..GetCoinTextureString(prixTotalElethium*10000, 10)..'</p>'..
            '<p><br /></p>'..
            '<p>|cFF00EE66'..GetCoinTextureString(prixTotalOr*10000, 10)..'|r</p>'..
            '</body></html>');
        end

        -- SI DETAILS, on affiche colonne 3 et 4
        if details then
            UIOHMoney.panelThree:SetText('<html><body>'..
            '<p>|cFF8075BAUnit price|r</p>'..
            '<p><br /></p>'..
            '<p>'..GetCoinTextureString(prixRisingGlory*10000, 10)..'</p>'..
            '<p>'..GetCoinTextureString(prixMarrowroot*10000, 10)..'</p>'..
            '<p>'..GetCoinTextureString(prixVigilsTorch*10000, 10)..'</p>'..
            '<p>'..GetCoinTextureString(prixWidowbloom*10000, 10)..'</p>'..
            '<p>'..GetCoinTextureString(prixDeathBlossom*10000, 10)..'</p>'..
            '<p>'..GetCoinTextureString(prixNightshade*10000, 10)..'</p>'..
            '<p><br /></p>'..
            '<p>'..GetCoinTextureString(prixLaestrite*10000, 10)..'</p>'..
            '<p>'..GetCoinTextureString(prixOxxein*10000, 10)..'</p>'..
            '<p>'..GetCoinTextureString(prixPhaedrum*10000, 10)..'</p>'..
            '<p>'..GetCoinTextureString(prixSinvyr*10000, 10)..'</p>'..
            '<p>'..GetCoinTextureString(prixSolenium*10000, 10)..'</p>'..
            '<p>'..GetCoinTextureString(prixElethium*10000, 10)..'</p>'..
            '</body></html>');
            
            UIOHMoney.panelFour:SetText('<html><body>'..
            '<p>|cFF8075BATotal price|r</p>'..
            '<p><br /></p>'..
            '<p>'..GetCoinTextureString(prixTotalRisingGlory*10000, 10)..'</p>'..
            '<p>'..GetCoinTextureString(prixTotalMarrowroot*10000, 10)..'</p>'..
            '<p>'..GetCoinTextureString(prixTotalVigilsTorch*10000, 10)..'</p>'..
            '<p>'..GetCoinTextureString(prixTotalWidowbloom*10000, 10)..'</p>'..
            '<p>'..GetCoinTextureString(prixTotalDeathBlossom*10000, 10)..'</p>'..
            '<p>'..GetCoinTextureString(prixTotalNightshade*10000, 10)..'</p>'..
            '<p><br /></p>'..
            '<p>'..GetCoinTextureString(prixTotalLaestrite*10000, 10)..'</p>'..
            '<p>'..GetCoinTextureString(prixTotalOxxein*10000, 10)..'</p>'..
            '<p>'..GetCoinTextureString(prixTotalPhaedrum*10000, 10)..'</p>'..
            '<p>'..GetCoinTextureString(prixTotalSinvyr*10000, 10)..'</p>'..
            '<p>'..GetCoinTextureString(prixTotalSolenium*10000, 10)..'</p>'..
            '<p>'..GetCoinTextureString(prixTotalElethium*10000, 10)..'</p>'..
            '<p><br /></p>'..
            '<p>|cFF00EE66'..GetCoinTextureString(prixTotalOr*10000, 10)..'|r</p>'..
            '</body></html>');
        else
            UIOHMoney.panelThree:SetText('')
            UIOHMoney.panelFour:SetText('')
        end
    
        
    end
end

-- OLD
local function craftRentability(n)
    local diff, pourc = 0
    -- Prix unité potion
    prixObj = Auctionator.API.v1.GetAuctionPriceByItemID("Hywolf", 169451) / 10000
    -- Rentablilité du craft
    diff = prixObj - prixZinAnthide*2
    pourc = round((prixObj / (prixZinAnthide*2)) * 100 - 100)
    print(prefix, "Rentabilité 'Potion de soins Abyssale': |cFF00BB22", diff.."g ("..pourc.."%)")


    -- Prix unité potion
    prixObj = Auctionator.API.v1.GetAuctionPriceByItemID("Hywolf", 168500) / 10000
    -- Rentablilité du craft
    diff = prixObj - (prixZinAnthide*8 + prixNightshade*3)
    pourc = round((prixObj / (prixZinAnthide*8 + prixNightshade*3)) * 100 - 100)
    print(prefix, "Rentabilité 'Potion force': |cFF00BB22", diff.."g ("..pourc.."%)")

    -- Prix unité potion
    prixObj = Auctionator.API.v1.GetAuctionPriceByItemID("Hywolf", 169299) / 10000
    -- Rentablilité du craft
    diff = prixObj - (prixZinAnthide*6)
    pourc = round((prixObj / (prixZinAnthide*6)) * 100 - 100)
    print(prefix, "Rentabilité 'Potion de fureur débridée': |cFF00BB22", diff.."g ("..pourc.."%)")

    -- Prix unité potion
    prixObj = Auctionator.API.v1.GetAuctionPriceByItemID("Hywolf", 159826) / 10000
    -- Rentablilité du craft
    diff = prixObj - (prixRisingGlory*4)
    pourc = round((prixObj / (prixRisingGlory*4)) * 100 - 100)
    print(prefix, "Rentabilité 'Passe-partout en monélite': |cFF00BB22", diff.."g ("..pourc.."%)")
end

-- Lorsque qu'un item est ramassé...
OresMoney:SetScript("OnEvent",
function(self, event, ...)    
    local arg1, arg2 = ...

    -- On detecte si un minerai. Si oui on lance
    if arg2 == 3613630 or arg2 == 3480675 or arg2 == 3387974 or arg2 == 3610996 or arg2 == 3502461 or arg2 == 3692438 or arg2 == 3594132 or arg2 == 3608331 or arg2 == 3537032 or arg2 == 3616941 or arg2 == 3731242 or arg2 == 3749971 then
        refreshOHMoney();
    end
    
end)

local function openUIAHPrice()
    local UIAHPrice = CreateFrame("Frame", "OHM_UIAHPrice", UIParent, "BasicFrameTemplateWithInset");
    UIAHPrice:SetSize(250, 270);
    UIAHPrice:SetMovable(true)
    UIAHPrice:EnableMouse(true)
    UIAHPrice:RegisterForDrag("LeftButton")
    UIAHPrice:SetScript("OnDragStart", UIAHPrice.StartMoving)
    UIAHPrice:SetScript("OnDragStop", UIAHPrice.StopMovingOrSizing)
    UIAHPrice:SetPoint("CENTER"); -- Doesn't need to be ("CENTER", UIParent, "CENTER")

    UIAHPrice.title = UIAHPrice:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
    UIAHPrice.title:SetPoint("LEFT", UIAHPrice.TitleBg, "LEFT", 5, 0);
    UIAHPrice.title:SetText(prefix.." AH price / unit");

    -- Panel Left:
    UIAHPrice.panelLeft = CreateFrame("SimpleHTML", nil, UIAHPrice);
    UIAHPrice.panelLeft:SetFont("Fonts\\FRIZQT__.ttf", 12, "OUTLINE");
    UIAHPrice.panelLeft:SetPoint("LEFT", UIAHPrice, "LEFT", 15, 0);
    UIAHPrice.panelLeft:SetSize(125, 180);
    UIAHPrice.panelLeft:SetText('<html><body>'..
    '<p>Rising Glory</p>'..
    '<p>Marrowroot</p>'..
    '<p>Vigil\'s Torch</p>'..
    '<p>Widowbloom</p>'..
    '<p>Death Blossom</p>'..
    '<p>Nightshade</p>'..
    '<p><br /></p>'..
    '<p>Laestrite ore</p>'..
    '<p>Oxxein ore</p>'..
    '<p>Phaedrum ore</p>'..
    '<p>Sinvyr ore</p>'..
    '<p>Solenium ore</p>'..
    '<p>Elethium ore</p>'..
    '</body></html>');

    -- Panel Right:
    UIAHPrice.panelRight = CreateFrame("SimpleHTML", nil, UIAHPrice);
    UIAHPrice.panelRight:SetFont("Fonts\\FRIZQT__.ttf", 12, "OUTLINE");
    UIAHPrice.panelRight:SetPoint("LEFT", UIAHPrice, "LEFT", 120, 0);
    UIAHPrice.panelRight:SetSize(140, 180);
    UIAHPrice.panelRight:SetText('<html><body>'..
    '<p>'..GetCoinTextureString(prixRisingGlory*10000, 10)..'</p>'..
    '<p>'..GetCoinTextureString(prixMarrowroot*10000, 10)..'</p>'..
    '<p>'..GetCoinTextureString(prixVigilsTorch*10000, 10)..'</p>'..
    '<p>'..GetCoinTextureString(prixWidowbloom*10000, 10)..'</p>'..
    '<p>'..GetCoinTextureString(prixDeathBlossom*10000, 10)..'</p>'..
    '<p>'..GetCoinTextureString(prixNightshade*10000, 10)..'</p>'..
    '<p><br /></p>'..
    '<p>'..GetCoinTextureString(prixLaestrite*10000, 10)..'</p>'..
    '<p>'..GetCoinTextureString(prixOxxein*10000, 10)..'</p>'..
    '<p>'..GetCoinTextureString(prixPhaedrum*10000, 10)..'</p>'..
    '<p>'..GetCoinTextureString(prixSinvyr*10000, 10)..'</p>'..
    '<p>'..GetCoinTextureString(prixSolenium*10000, 10)..'</p>'..
    '<p>'..GetCoinTextureString(prixElethium*10000, 10)..'</p>'..
    '</body></html>');
end

local function openUIOHMoney()
    plusBank = false
    details = false
    UIOHMoney = CreateFrame("Frame", "OHM_UIOHMoney", UIParent, "BasicFrameTemplateWithInset");
    UIOHMoney:SetSize(450, 300);
    UIOHMoney:SetMovable(true)
    UIOHMoney:EnableMouse(true)
    UIOHMoney:RegisterForDrag("LeftButton")
    UIOHMoney:SetScript("OnDragStart", UIOHMoney.StartMoving)
    UIOHMoney:SetScript("OnDragStop", UIOHMoney.StopMovingOrSizing)
    UIOHMoney:SetPoint("CENTER"); -- Doesn't need to be ("CENTER", UIParent, "CENTER")

    UIOHMoney.title = UIOHMoney:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
    UIOHMoney.title:SetPoint("LEFT", UIOHMoney.TitleBg, "LEFT", 5, 0);
    UIOHMoney.title:SetText(prefix.." Value of your ores/herbs");

    -- Panel Left:
    UIOHMoney.panelOne = CreateFrame("SimpleHTML", nil, UIOHMoney);
    UIOHMoney.panelOne:SetFont("Fonts\\FRIZQT__.ttf", 12, "OUTLINE");
    UIOHMoney.panelOne:SetPoint("TOPLEFT", UIOHMoney, "TOPLEFT", 15, -35);
    UIOHMoney.panelOne:SetSize(125, 180);
    UIOHMoney.panelOne:SetText('<html><body>'..
        '<p><br /></p>'..
        '<p><br /></p>'..
        '<p>Rising Glory</p>'..
        '<p>Marrowroot</p>'..
        '<p>Vigil\'s Torch</p>'..
        '<p>Widowbloom</p>'..
        '<p>Death Blossom</p>'..
        '<p>Nightshade</p>'..
        '<p><br /></p>'..
        '<p>Laestrite ore</p>'..
        '<p>Oxxein ore</p>'..
        '<p>Phaedrum ore</p>'..
        '<p>Sinvyr ore</p>'..
        '<p>Solenium ore</p>'..
        '<p>Elethium ore</p>'..
        '<p><br /></p>'..
        '<p>|cFF00EE66TOTAL VALUE|r</p>'..
        '</body></html>');

    -- Panel Two:
    UIOHMoney.panelTwo = CreateFrame("SimpleHTML", nil, UIOHMoney);
    UIOHMoney.panelTwo:SetFont("Fonts\\FRIZQT__.ttf", 12, "OUTLINE");
    UIOHMoney.panelTwo:SetPoint("LEFT", UIOHMoney.panelOne, "LEFT", 120, 0);
    UIOHMoney.panelTwo:SetSize(140, 180);

    -- Panel Three:
    UIOHMoney.panelThree = CreateFrame("SimpleHTML", nil, UIOHMoney);
    UIOHMoney.panelThree:SetFont("Fonts\\FRIZQT__.ttf", 12, "OUTLINE");
    UIOHMoney.panelThree:SetPoint("LEFT", UIOHMoney.panelTwo, "LEFT", 75, 0);
    UIOHMoney.panelThree:SetSize(140, 180);

    -- Panel Four:
    UIOHMoney.panelFour = CreateFrame("SimpleHTML", nil, UIOHMoney);
    UIOHMoney.panelFour:SetFont("Fonts\\FRIZQT__.ttf", 12, "OUTLINE");
    UIOHMoney.panelFour:SetPoint("LEFT", UIOHMoney.panelThree, "LEFT", 100, 0);
    UIOHMoney.panelFour:SetSize(140, 180);
    refreshOHMoney();

    -- Check Button bank:
    UIOHMoney.checkBtn1 = CreateFrame("CheckButton", nil, UIOHMoney, "UICheckButtonTemplate");
    UIOHMoney.checkBtn1:SetPoint("BOTTOMLEFT", UIOHMoney, "BOTTOMLEFT", 10, 10);
    UIOHMoney.checkBtn1.text:SetText("+ bank");
    UIOHMoney.checkBtn1.tooltip = "Bank ores/herbs included";
    UIOHMoney.checkBtn1:SetScript("OnClick", 
    function()
        if plusBank then
            plusBank = false
            refreshOHMoney()
        else
            plusBank = true
            refreshOHMoney()
        end
    end
    );

    -- Check Button details:
    UIOHMoney.checkBtn2 = CreateFrame("CheckButton", nil, UIOHMoney, "UICheckButtonTemplate");
    UIOHMoney.checkBtn2:SetPoint("LEFT", UIOHMoney.checkBtn1, "LEFT", 80, 0);
    UIOHMoney.checkBtn2.text:SetText("Details");
    UIOHMoney.checkBtn2:SetScript("OnClick", 
    function()
        if details then
            details = false
            refreshOHMoney()
        else
            details = true
            refreshOHMoney()
        end
    end
    );
end


-- Commande /ohm pour lancer la fonction
SLASH_ohm1 = "/ohm"
SlashCmdList ["ohm"] = function ( msg )
    if msg == "" then
        moneyCount()
        openUIOHMoney()
    elseif msg == "1" then
        moneyCount()
        craftRentability(1)  
    else
    end
end