local UIConfig = CreateFrame("Frame", "MUI_BuffFrame", UIParent, "BasicFrameTemplateWithInset");
UIConfig:SetSize(260, 360);
UIConfig:SetPoint("CENTER"); -- Doesn't need to be ("CENTER", UIParent, "CENTER")

UIConfig.title = UIConfig:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
UIConfig.title:SetPoint("LEFT", UIConfig.TitleBg, "LEFT", 5, 0);
UIConfig.title:SetText("Ore/herb money - Shadowlands");
--UIConfig.title:SetFont("Fonts\\FRIZQT__.ttf", 11, "OUTLINE");

---------------------------------
-- Buttons
---------------------------------
-- Save Button:
-- UIConfig.saveBtn = CreateFrame("Button", nil, UIConfig, "GameMenuButtonTemplate");
-- UIConfig.saveBtn:SetPoint("CENTER", UIConfig, "TOP", 0, -70);
-- UIConfig.saveBtn:SetSize(140, 40);
-- UIConfig.saveBtn:SetText("Save");
-- UIConfig.saveBtn:SetNormalFontObject("GameFontNormalLarge");
-- UIConfig.saveBtn:SetHighlightFontObject("GameFontHighlightLarge");

-- Reset Button:
UIConfig.resetBtn = CreateFrame("SimpleHTML", nil, UIConfig);
UIConfig.resetBtn:SetFont("Fonts\\FRIZQT__.ttf", 14, "OUTLINE");
UIConfig.resetBtn:SetPoint("TOP", UIConfig, "TOP", 0, -50);
UIConfig.resetBtn:SetSize(160, 40);
UIConfig.resetBtn:SetText("<html><body>"..
    "<p>Monelite Ore --> "..GetCoinTextureString(prixMonelite*10000).."</p>"..
"</body></html>");


print("Storm silver ore: |cFFF0CB1E", GetCoinTextureString(prixFoudrargent*10000))
    print("Platinum ore: |cFFF0CB1E", GetCoinTextureString(prixPlatine*10000))
    print("Osmenite ore: |cFFF0CB1E", GetCoinTextureString(prixOsmenite*10000))
    print(prefix, "AH HERBS price unit:")
    print("Riverbud: |cFFF0CB1E", GetCoinTextureString(prixRivebulbe*10000))
    print("Star moss: |cFFF0CB1E", GetCoinTextureString(prixMousseEtoilee*10000))
    print("Akunda's bite: |cFFF0CB1E", GetCoinTextureString(prixMacheDAkunda*10000))
    print("Winter's kiss: |cFFF0CB1E", GetCoinTextureString(prixBiseDHiver*10000))
    print("Siren's pollen: |cFFF0CB1E", GetCoinTextureString(prixPollenDeSirene*10000))
    print("Anchor weed: |cFFF0CB1E", GetCoinTextureString(prixAncoracee*10000))
    print("Sea stalk: |cFFF0CB1E", GetCoinTextureString(prixBrinDeMer*10000))
    print("Zin'anthid: |cFFF0CB1E", GetCoinTextureString(prixZinAnthide*10000))

-- Load Button:
UIConfig.loadBtn = CreateFrame("SimpleHTML", nil, UIConfig);
UIConfig.loadBtn:SetFont("Fonts\\FRIZQT__.ttf", 14, "OUTLINE");
UIConfig.loadBtn:SetPoint("TOP", UIConfig.resetBtn, "BOTTOM", 0, -10);
UIConfig.loadBtn:SetSize(140, 40);
UIConfig.loadBtn:SetText("<html><body><h1>Heading1</h1><p>A paragraph</p></body></html>");

---------------------------------
-- Sliders
---------------------------------
-- Slider 1:
UIConfig.slider1 = CreateFrame("SLIDER", nil, UIConfig, "OptionsSliderTemplate");
UIConfig.slider1:SetPoint("TOP", UIConfig.loadBtn, "BOTTOM", 0, -20);
UIConfig.slider1:SetMinMaxValues(1, 100);
UIConfig.slider1:SetValue(50);
UIConfig.slider1:SetValueStep(30);
UIConfig.slider1:SetObeyStepOnDrag(true);

-- Slider 2:
UIConfig.slider2 = CreateFrame("SLIDER", nil, UIConfig, "OptionsSliderTemplate");
UIConfig.slider2:SetPoint("TOP", UIConfig.slider1, "BOTTOM", 0, -20);
UIConfig.slider2:SetMinMaxValues(1, 100);
UIConfig.slider2:SetValue(40);
UIConfig.slider2:SetValueStep(30);
UIConfig.slider2:SetObeyStepOnDrag(true);

---------------------------------
-- Check Buttons
---------------------------------
-- Check Button 1:
UIConfig.checkBtn1 = CreateFrame("CheckButton", nil, UIConfig, "UICheckButtonTemplate");
UIConfig.checkBtn1:SetPoint("TOPLEFT", UIConfig.slider1, "BOTTOMLEFT", -10, -40);
UIConfig.checkBtn1.text:SetText("My Check Button!");

-- Check Button 2:
UIConfig.checkBtn2 = CreateFrame("CheckButton", nil, UIConfig, "UICheckButtonTemplate");
UIConfig.checkBtn2:SetPoint("TOPLEFT", UIConfig.checkBtn1, "BOTTOMLEFT", 0, -10);
UIConfig.checkBtn2.text:SetText("Another Check Button!");
UIConfig.checkBtn2:SetChecked(true);